import { AdminShopService } from "./admin.shop.service";
import { CreateShopDto, UpdateShopDto, UpdateStatusDto } from "./shop.dto";
export declare class AdminShopController {
    private readonly AdminShopService;
    constructor(AdminShopService: AdminShopService);
    create(createShopDto: CreateShopDto, req: any): Promise<{
        status: boolean;
        message: string;
    }>;
    findAll(query: Record<string, string>, req: any): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/shop/shop.entity").Shop[];
    }>;
    findOne(id: string): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/shop/shop.entity").Shop;
    }>;
    update(id: string, updateShopDto: UpdateShopDto): Promise<{
        status: boolean;
        message: string;
    }>;
    remove(id: string): Promise<{
        status: boolean;
        message: string;
    }>;
    updateStatus(id: string, updateStatusDto: UpdateStatusDto): Promise<{
        status: boolean;
        message: string;
    }>;
}
